Bug 225725 - [new port] devel/range-v3: Experimental range library for C++11/14/17
Summary: [new port] devel/range-v3: Experimental range library for C++11/14/17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 06:36 UTC by Henry Hu
Modified: 2018-03-05 02:25 UTC (History)
1 user (show)

See Also:


Attachments
shar file for the new port (10.81 KB, text/plain)
2018-02-07 06:36 UTC, Henry Hu
no flags Details
poudriere log on 10.4-RELEASE-p5/amd64 (607.01 KB, text/x-log)
2018-02-08 21:37 UTC, Henry Hu
no flags Details
poudriere log on 11.1-STABLE/amd64 (609.38 KB, text/x-log)
2018-02-08 21:39 UTC, Henry Hu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2018-02-07 06:36:46 UTC
Created attachment 190380 [details]
shar file for the new port

This is range-v3, a C++ library for range support.
This is a new dependency of port net-im/telegram-desktop.

The MODULES option does not work with current libc++ in base. Maybe it will work in the future.
The TEST option does turn off the BUILD_TESTING option. However, tests are still being built (it is a header-only library by itself, so all the compilation time is spent on building tests).
It builds with clang/libc++ in base for freebsd 11, but for 10, the base clang does not work.

Website: https://github.com/ericniebler/range-v3

From webpage:

Range library for C++11/14/17. This code is the basis of a formal proposal to
add range support to the C++ standard library.

Range v3 is a library for the future C++. Not only does it work well with
today's C++ -- move semantics, lambdas, automatically deduced types and all --
it also anticipates tomorrow's C++ with Concepts.

Range v3 forms the basis of a proposal to add range support to the standard library (N4128: Ranges for the Standard Library). It also will be the reference implementation for an upcoming Technical Specification. These are the first steps toward turning ranges into an international standard.

Main license is Boost Software License. The license file describes licenses of third party components.
Comment 1 Henry Hu 2018-02-08 21:37:31 UTC
Created attachment 190445 [details]
poudriere log on 10.4-RELEASE-p5/amd64
Comment 2 Henry Hu 2018-02-08 21:39:36 UTC
Created attachment 190447 [details]
poudriere log on 11.1-STABLE/amd64
Comment 3 Yuri Victorovich freebsd_committer 2018-02-08 21:44:31 UTC
(In reply to Henry Hu from comment #1)

Thank you, Henry.
This port is in approvals. Very close to be committed.


Regards,
Yuri
Comment 4 Yuri Victorovich freebsd_committer 2018-02-16 17:57:53 UTC
Pending https://github.com/ericniebler/range-v3/issues/790
Comment 5 Yuri Victorovich freebsd_committer 2018-02-20 06:04:12 UTC
The previous problem is resolved.
Now testcases fail with `operator delete(void*, unsigned int)' on 10 i386.
Comment 6 Yuri Victorovich freebsd_committer 2018-03-05 02:23:28 UTC
Committed.

Thank you for your contribution!
Comment 7 commit-hook freebsd_committer 2018-03-05 02:23:48 UTC
A commit references this bug:

Author: yuri
Date: Mon Mar  5 02:23:17 UTC 2018
New revision: 463616
URL: https://svnweb.freebsd.org/changeset/ports/463616

Log:
  New port: devel/range-v3: Experimental range library for C++11/14/17

  PR:		225725
  Submitted by:	Henry Hu <henry.hu.sh@gmail.com>
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/devel/Makefile
  head/devel/range-v3/
  head/devel/range-v3/Makefile
  head/devel/range-v3/distinfo
  head/devel/range-v3/pkg-descr
  head/devel/range-v3/pkg-plist
Comment 8 Henry Hu 2018-03-05 02:25:49 UTC
Okay, now let's proceed to telegram, which may require c++17 standard library...